# QAbstractMessageHandler Class Reference

### [com.trolltech.qt.xmlpatterns package]

Inherits QObject.

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QAbstractMessageHandler prototype object

### Prototype Object Properties

The QAbstractMessageHandler prototype object inherits properties from the QObject prototype object and also has the following properties.

- void message(QtMsgType type, String description, QUrl identifier, QSourceLocation sourceLocation)

### Instance Properties

QAbstractMessageHandler objects have no special properties beyond those inherited from the QAbstractMessageHandler prototype object.